GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ThreadPoolInterface Class Referenceabstract

`#include <thread_pool_interface.h>`

## Public Member Functions
virtual | ~ThreadPoolInterface ()
virtual void | Add (const std::function< void()> &callback)=0

## Constructor & Destructor Documentation

virtual grpc::ThreadPoolInterface::~ThreadPoolInterface | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void grpc::ThreadPoolInterface::Add | ( | const std::function< void()> & | callback | ) |
| pure virtual

Implemented in grpc::DynamicThreadPool, and grpc::FixedSizeThreadPool.

The documentation for this class was generated from the following file:

- include/grpc++/thread_pool_interface.h